<?php

/**
 * @file
 * Provides Drupal site configuration secrets.
 *
 * NOTE: Do not edit this file directly, the contents are not intended to be
 * stored in version control. Copy file to the hosted environment, e.g.:
 *
 *   /mnt/files/{$sitegroup}.{$env}/secrets.settings.php
 *
 * Make changes to the file as needed there.
 */

// Ensure that Acquia Hosting database settings exist.
if (isset($conf['acquia_hosting_site_info']['db'])) {

  /*
   * Some variables we can switch on:
   * - ['db']['role'] is specific to a Drupal site installation.
   * - ['db']['name'] is specific to a Drupal site in a specific environment.
   */
  switch ($conf['acquia_hosting_site_info']['db']['name']) {
    case 'blted':
      /*
       * Acquia Network Connector
       *
       * @see https://docs.acquia.com/network/install
       * @see https://insight.acquia.com/subscriptions/keys
       *
       * $config['acquia_connector.settings']['identifier'] = 'ABCD-12345';
       * $config['acquia_connector.settings']['key'] = '00000000000000000000000000000000';
       */
      break;
  }
}

